# Uses of Interface
javax.swing.event.TreeSelectionListener

Packages that use TreeSelectionListener
Package
Description
com.sun.java.accessibility.util
Provides a collection of interfaces and classes that compose the Java Accessibility Utilities.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.tree
Provides classes and interfaces for dealing with `javax.swing.JTree`.

- ## Uses of TreeSelectionListener in com.sun.java.accessibility.util

  Methods in com.sun.java.accessibility.util with parameters of type TreeSelectionListener
  Modifier and Type
  Method
  Description
  `static void`
  SwingEventMonitor.`addTreeSelectionListener(TreeSelectionListener l)`
  Adds the specified listener to receive all `TREESELECTION` events on each component instance in the Java Virtual Machine as they occur.
  `static void`
  SwingEventMonitor.`removeTreeSelectionListener(TreeSelectionListener l)`
  Removes the specified listener so it no longer receives `TREESELECTION` events when they occur.

- ## Uses of TreeSelectionListener in javax.swing

  Classes in javax.swing that implement TreeSelectionListener
  Modifier and Type
  Class
  Description
  `protected class`
  `JTree.AccessibleJTree`
  This class implements accessibility support for the `JTree` class.
  `protected class`
  `JTree.TreeSelectionRedirector`
  Handles creating a new `TreeSelectionEvent` with the `JTree` as the source and passing it off to all the listeners.
  Methods in javax.swing that return TreeSelectionListener
  Modifier and Type
  Method
  Description
  `TreeSelectionListener[]`
  JTree.`getTreeSelectionListeners()`
  Returns an array of all the `TreeSelectionListener`s added to this JTree with addTreeSelectionListener().
  Methods in javax.swing with parameters of type TreeSelectionListener
  Modifier and Type
  Method
  Description
  `void`
  JTree.`addTreeSelectionListener(TreeSelectionListener tsl)`
  Adds a listener for `TreeSelection` events.
  `void`
  JTree.EmptySelectionModel.`addTreeSelectionListener(TreeSelectionListener listener)`
  This is overridden to do nothing; `EmptySelectionModel` does not allow a selection.
  `void`
  JTree.EmptySelectionModel.`removeTreeSelectionListener(TreeSelectionListener listener)`
  This is overridden to do nothing; `EmptySelectionModel` does not allow a selection.
  `void`
  JTree.`removeTreeSelectionListener(TreeSelectionListener tsl)`
  Removes a `TreeSelection` listener.

- ## Uses of TreeSelectionListener in javax.swing.plaf.basic

  Classes in javax.swing.plaf.basic that implement TreeSelectionListener
  Modifier and Type
  Class
  Description
  `class`
  `BasicTreeUI.TreeSelectionHandler`
  Listens for changes in the selection model and updates the display accordingly.
  Methods in javax.swing.plaf.basic that return TreeSelectionListener
  Modifier and Type
  Method
  Description
  `protected TreeSelectionListener`
  BasicTreeUI.`createTreeSelectionListener()`
  Creates the listener that updates the display based on selection change methods.

- ## Uses of TreeSelectionListener in javax.swing.tree

  Classes in javax.swing.tree that implement TreeSelectionListener
  Modifier and Type
  Class
  Description
  `class`
  `DefaultTreeCellEditor`
  A `TreeCellEditor`.
  Methods in javax.swing.tree that return TreeSelectionListener
  Modifier and Type
  Method
  Description
  `TreeSelectionListener[]`
  DefaultTreeSelectionModel.`getTreeSelectionListeners()`
  Returns an array of all the tree selection listeners registered on this model.
  Methods in javax.swing.tree with parameters of type TreeSelectionListener
  Modifier and Type
  Method
  Description
  `void`
  DefaultTreeSelectionModel.`addTreeSelectionListener(TreeSelectionListener x)`
  Adds x to the list of listeners that are notified each time the set of selected TreePaths changes.
  `void`
  TreeSelectionModel.`addTreeSelectionListener(TreeSelectionListener x)`
  Adds x to the list of listeners that are notified each time the set of selected TreePaths changes.
  `void`
  DefaultTreeSelectionModel.`removeTreeSelectionListener(TreeSelectionListener x)`
  Removes x from the list of listeners that are notified each time the set of selected TreePaths changes.
  `void`
  TreeSelectionModel.`removeTreeSelectionListener(TreeSelectionListener x)`
  Removes x from the list of listeners that are notified each time the set of selected TreePaths changes.